summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLarry Knox <lrknox@hdfgroup.org>2016-10-24 21:38:29 (GMT)
committerLarry Knox <lrknox@hdfgroup.org>2016-10-24 21:38:29 (GMT)
commit77065093497375d05e2a3ffd38f82c14b9378630 (patch)
treeb59f1b62301e3551eca7531612a7081001c56dbd
parentbb000bda412158e714700955a10fef97c4a5e040 (diff)
parentaae0f6e3398f7a4cf149884505831361bd9049c0 (diff)
downloadhdf5-77065093497375d05e2a3ffd38f82c14b9378630.zip
hdf5-77065093497375d05e2a3ffd38f82c14b9378630.tar.gz
hdf5-77065093497375d05e2a3ffd38f82c14b9378630.tar.bz2
Merge pull request #99 in HDFFV/hdf5 from ~LRKNOX/hdf5_lrk:hdf5_1_8 to hdf5_1_8
* commit 'aae0f6e3398f7a4cf149884505831361bd9049c0': Translate SVN commands and references to GIT.
-rwxr-xr-xbin/bbrelease10
-rwxr-xr-xbin/chkcopyright2
-rwxr-xr-xbin/chkmanifest6
-rwxr-xr-xbin/release10
-rwxr-xr-xbin/snapshot23
5 files changed, 27 insertions, 24 deletions
diff --git a/bin/bbrelease b/bin/bbrelease
index 389b193..0a94071 100755
--- a/bin/bbrelease
+++ b/bin/bbrelease
@@ -182,7 +182,7 @@ today=`date +%Y%m%d`
pmode='no'
revmode='no'
tmpdir="../#release_tmp.$$" # tmp work directory
-DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/trunk
+DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git
CPPLUS_RM_NAME=cpplus_RM
# Restore previous Version information
@@ -326,7 +326,7 @@ done
# trunk is different than branches.
if [ "${DOCVERSION}" ]; then
- DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/branches/${DOCVERSION}
+ DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git -b ${DOCVERSION}
fi
# Create the tar file
@@ -363,11 +363,11 @@ for comp in $methods; do
;;
doc)
if [ "${DOCVERSION}" = "" ]; then
- DOCVERSION=trunk
+ DOCVERSION=master
fi
test "$verbose" && echo " Creating docs..." 1>&2
- # Check out docs from svn repo
- (cd $tmpdir; svn co $DOC_URL > /dev/null) || exit 1
+ # Check out docs from git repo
+ (cd $tmpdir; git clone $DOC_URL > /dev/null) || exit 1
# Create doxygen C++ RM
(cd c++/src && doxygen cpp_doc_config > /dev/null ) || exit 1
# Replace version of C++ RM with just-created version
diff --git a/bin/chkcopyright b/bin/chkcopyright
index 07fcb24..1d42f70 100755
--- a/bin/chkcopyright
+++ b/bin/chkcopyright
@@ -30,7 +30,7 @@ DIFF="diff"
INITFILE=.h5chkright.ini
EXCEPTIONS=/tmp/h5chkright.except.$$
tmpfile=/tmp/h5chkright_tmp.$$
-EXCEPTIONDIRS="-name CVS -o -name .svn" # at least skip CVS directories.
+EXCEPTIONDIRS="-name git" # at least skip .git directories.
EXTRACTEDFILE=/tmp/h5chkright.extracted.$$
VERBOSE= # default no
FIXIT= # default no
diff --git a/bin/chkmanifest b/bin/chkmanifest
index f747dce..38b751f 100755
--- a/bin/chkmanifest
+++ b/bin/chkmanifest
@@ -14,8 +14,8 @@
# access to either file, you may request a copy from help@hdfgroup.org.
#
-# Check that all the files in MANIFEST exist and that (if this is a
-# SVN checkout) that all the SVN-managed files appear in the
+# Check that all the files in MANIFEST exist and (if this is a
+# GIT clone) that all the GIT-managed files appear in the
# MANIFEST.
verbose=yes
@@ -139,7 +139,7 @@ done
if [ "X$fail" = "Xyes" ]; then
cat 1>&2 <<EOF
The MANIFEST is out of date. Files marked with a minus sign (-) no
-longer exist; files marked with a plus sign (+) are SVN-managed but do
+longer exist; files marked with a plus sign (+) are GIT-managed but do
not appear in the MANIFEST. Please remedy the situation and try again.
EOF
exit 1
diff --git a/bin/release b/bin/release
index add2b39..d22ed75 100755
--- a/bin/release
+++ b/bin/release
@@ -171,7 +171,7 @@ release_date=`date +%F`
today=`date +%Y%m%d`
pmode='no'
tmpdir="../#release_tmp.$$" # tmp work directory
-DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/trunk
+DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git
CPPLUS_RM_NAME=cpplus_RM
# Restore previous Version information
@@ -291,7 +291,7 @@ done
# trunk is different than branches.
if [ "${DOCVERSION}" ]; then
- DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/branches/${DOCVERSION}
+ DOC_URL="$DOC_URL -b ${DOCVERSION}"
fi
# Create the tar file
@@ -328,11 +328,11 @@ for comp in $methods; do
;;
doc)
if [ "${DOCVERSION}" = "" ]; then
- DOCVERSION=trunk
+ DOCVERSION=master
fi
test "$verbose" && echo " Creating docs..." 1>&2
- # Check out docs from svn repo
- (cd $tmpdir; svn co $DOC_URL > /dev/null) || exit 1
+ # Check out docs from git repo
+ (cd $tmpdir; git clone $DOC_URL > /dev/null) || exit 1
# Create doxygen C++ RM
(cd c++/src && doxygen cpp_doc_config > /dev/null ) || exit 1
# Replace version of C++ RM with just-created version
diff --git a/bin/snapshot b/bin/snapshot
index a496edd..391f402 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -315,11 +315,9 @@ CURRENT=${BASEDIR}/current
PREVIOUS=${BASEDIR}/previous
ReleaseDir=${ReleaseDir:=${BASEDIR}/${ReleaseDir_default}}
HOSTNAME=`hostname | cut -f1 -d.` # no domain part
-if [ $H5VERSION != hdf5 ]; then
- SVNVERSION="hdf5/branches/$H5VERSION"
-else
- SVNVERSION=hdf5/trunk # use the default (trunk) version
-fi
+HDFREPOS=hdf5
+GIT_URL=ssh://git@bitbucket.hdfgroup.org:7999/hdffv/hdf5.git
+GIT_BRANCH=hdf5_1_8
# Try finding a version of diff that supports the -I option too.
DIFF=diff
@@ -343,9 +341,14 @@ if [ "$cmd" = "all" -o -n "$cmdcheckout" ]; then
# regardless of the return code of distclean.
( cd ${CURRENT}; test -f Makefile && ${MAKE} distclean)
- SVNROOT=http://svn.hdfgroup.uiuc.edu
- # Check out the current version from source repository.
- (cd $BASEDIR; svn -q co ${SVNROOT}/${SVNVERSION} current ) || exit 1
+ # Create fresh clone of $GIT_URL from source repository in $BASEDIR/current
+ (cd $BASEDIR; rm -rf current
+ if test -n $GIT_BRANCH; then # checkout the branch
+ git clone $GIT_URL -b $GIT_BRANCH
+ else # use the default (develop) version
+ git clone $GIT_URL
+ fi
+ mv $HDFREPOS current ) || exit 1
fi # Do source checkout
@@ -470,14 +473,14 @@ if [ "$cmd" = "all" -o -n "$cmdrel" ]; then
echo "Making snapshot release ($RELEASE_VERSION) to ${ReleaseDir}..."
bin/release -d $ReleaseDir $METHODS
perl bin/h5vers -i
- svn -q commit -m "Snapshot $RELEASE_VERSION"
+ git commit -m "Snapshot $RELEASE_VERSION"
)
errcode=$?
fi
# Replace the previous version with the current version.
# Should check if the errcode of the release process but there
- # are other failures after release was done (e.g. h5vers or svn failures)
+ # are other failures after release was done (e.g. h5vers or git failures)
# that should allow the replacement to occure.
rm -rf ${PREVIOUS}
mv ${CURRENT} ${PREVIOUS}